Notifications
Reports · 1 operation
GET
Get attention counters
/api/notificationCounters that need attention: debtors and total debt, students without lessons or subscription, expired subscriptions, duplicate students, birthdays today.
get_notifications
Response · 200
application/json
statusCodeexample 200message—data12 fields
debtorCount—totalDebt—studentsWithoutLessons—studentsWithOneLesson—studentsWithFreeLesson—studentsWithFreeTrialLesson—studentsWithoutSubscription—studentsWithExpiredSubscription—duplicateStudents—allDuplicateStudents—studentsWithBirthdayToday—teachersWithBirthdayToday—curl "https://your-school.rist.pro/api/notification" \
-H "Authorization: Bearer $RIST_API_KEY"const response = await fetch("https://your-school.rist.pro/api/notification", {
headers: {
Authorization: `Bearer ${process.env.RIST_API_KEY}`,
},
});
const { data } = await response.json();import os
import requests
response = requests.get(
"https://your-school.rist.pro/api/notification",
headers={"Authorization": f"Bearer {os.environ['RIST_API_KEY']}"},
)
response.raise_for_status()
data = response.json()["data"]Response example · 200
{
"statusCode": 200,
"message": "Operation completed successfully",
"data": {
"debtorCount": 0,
"totalDebt": 0,
"studentsWithoutLessons": 0,
"studentsWithOneLesson": 0,
"studentsWithFreeLesson": 0,
"studentsWithFreeTrialLesson": 0,
"studentsWithoutSubscription": 0,
"studentsWithExpiredSubscription": 0,
"duplicateStudents": 0,
"allDuplicateStudents": 0,
"studentsWithBirthdayToday": 0,
"teachersWithBirthdayToday": 0
}
}